<?php
/**
 * @version        	1.6.9
 * @package        	Joomla
 * @subpackage		Event Booking
 * @author  		Tuan Pham Ngoc
 * @copyright    	Copyright (C) 2010 - 2014 Ossolution Team
 * @license        	GNU/GPL, see LICENSE.php
 */
// no direct access
defined( '_JEXEC' ) or die ;
$timeFormat = $config->event_time_format ? $config->event_time_format : 'g:i a';
EventbookingHelperJquery::equalHeights();
?>
<div class="eb-calendar">
    <ul class="eb-month-browser regpro-calendarMonthHeader clearfix">
        <li class="eb-calendar-nav">
            <a href="<?php echo $previousMonthLink; ?>" rel="nofollow"><img src="<?php echo JUri::root()?>components/com_eventbooking/assets/images/calendar_previous.png" alt="<?php echo $listMonth[$previousMonth - 1] ;?>"></a>
        </li>
        <li id="eb-current-month">
            <?php echo $searchMonth; ?>
            <?php echo $searchYear; ?>
        </li>
        <li class="eb-calendar-nav">
            <a href="<?php echo $nextMonthLink ; ?>" rel="nofollow"><img src="<?php echo JUri::root()?>components/com_eventbooking/assets/images/calendar_next.png" alt="<?php echo $listMonth[$nextMonth - 1];?>"></a>
        </li>
    </ul>
    <ul class="eb-weekdays">
        <?php
        foreach ($data["daynames"] as $dayName)
        {
        ?>
            <li class="eb-day-of-week regpro-calendarWeekDayHeader">
                <?php echo $dayName; ?>
            </li>
        <?php
        }
        ?>
    </ul>
    <ul class="eb-days clearfix">
    <?php
        $dataCount = count($data["dates"]);
        $dn=0;
        for ($w=0; $w<6 && $dn < $dataCount; $w++)
        {
        	$rowClass = 'eb-calendar-row-'.$w;
            for ($d=0; $d<7 && $dn < $dataCount; $d++)
            {
                $currentDay = $data["dates"][$dn];
                switch ($currentDay["monthType"])
                {
                    case "prior":
                    case "following":
                    ?>
                        <li class="eb-calendarDay calendar-day regpro-calendarDay <?php echo $rowClass; ?>"></li>
                    <?php
                    break;
                    case "current":
                    ?>
                    <li class="eb-calendarDay calendar-day regpro-calendarDay <?php echo $rowClass; ?>">
                        <div class="date day_cell"><span class="day"><?php echo $data["daynames"][$d] ?>,</span> <span class="month"><?php echo $listMonth[$month - 1]; ?></span> <?php echo $currentDay['d']; ?></div>
                        <?php
                        foreach ($currentDay["events"] as $key=> $event)
                        {
                            $color =   EventbookingHelper::getColorCodeOfEvent($event->id);
                            ?>
                            <div class="date day_cell">
                                <a class="eb_event_link" href="<?php echo JText::_(EventbookingHelperRoute::getEventRoute($event->id, isset($categoryId) ? $categoryId : 0, $Itemid)); ?>" title="<?php echo $event->title; ?>" <?php if ($color) echo 'style="background-color:#'.$color.'";' ; ?>>
<? /* JAMES REMOVED ORIGINAL 
<img border="0" align="top" title="<?php echo JText::_("Event")?>" src="<?php echo JURI::root()?>components/com_eventbooking/assets/images/calendar_event.png"> */
/* BEGIN JAMES REPLACED, using code from Event Booking 1.5.3 mod posted in component's official formums */
		                    					if ($event->thumb && file_exists(JPATH_ROOT.'/media/com_eventbooking/images/thumbs/'.$event->thumb)) {
		                    					?>
                    								<img src="<?php echo JURI::base().'media/com_eventbooking/images/thumbs/'.$event->thumb; ?>" class="eb_event_thumb"/>
                    							<?php
                    							} else {
                    							?>
                    								<img border="0" align="top" title="<?php echo JText::_("Event")?>" src="<?php echo JURI::root()?>components/com_eventbooking/assets/images/calendar_event.png">
                    							<?php
                    							}
												// Truncate string to 38 characters or less, breaking on [SPACE]
												$charlimit = 38;
												if(strlen($event->title) > $charlimit) {
													$event->title = substr($event->title, 0, $charlimit);
													if(false !== ($eventTitleTemp = strrpos($event->title, ' '))) {
														$event->title = substr($event->title, 0, $eventTitleTemp);
													} 
													$event->title .= '&hellip;';
												}
/* END JAMES REPLACE */ ?>
                                    <?php
                                        if ($config->show_event_time)
                                        {
                                            echo $event->title.' ('.JHtml::_('date', $event->event_date, $timeFormat, null).')' ;
                                        }
                                        else
                                        {
                                            echo $event->title ;
                                        }
                                    ?>
                                </a>
                            </div>
                        <?php
                        }
                    echo "</li>\n";
                    break;
                }
                $dn++;
            }
        }                        
    ?>
    </ul>
</div>
<script type="text/javascript">
    	Eb.jQuery(document).ready(function($) {
            <?php
				for ($i = 0 ; $i < $w; $i++)
				{
				?>
					$("ul.eb-days li.<?php echo 'eb-calendar-row-'.$i ?>").equalHeights(100);
				<?php	
				}	
            ?>            
        });
</script>